/**
 * \file Espace.h
 * Classe de gestion d'une matrice de tableaux d'octets.
 * 
 * @author Nicolas Janey
 * @author nicolas.janey@univ-fcomte.fr
 * @version 1.0, 01/01/10
 */

#ifndef ____ESPACE____
#define ____ESPACE____

/**
 * \class Espace
 * Classe de gestion d'une matrice de tableaux d'octets.
 * 
 * @author Nicolas Janey
 * @author nicolas.janey@univ-fcomte.fr
 * @version 1.0, 01/01/10
 */

class Espace {

  public :
    int dx ;
    int dy ;
    int nb;
    void ***p ;

  public :
    Espace(int dx,int dy,int nb) ;
    Espace(Espace *dd) ;
    ~Espace(void) ;
    void init(unsigned char v) ;
    void *cherche(int x,int y) ;
    void sauve(void *c,int x,int y) ;
    long getUsedMemory(void);
    int getUsedHandles(void);
} ;

#endif
